## kf6-solid 6.23.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

set(KF_VERSION "6.23.0") # handled by release scripts
project(Solid VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.23.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Gui)


# shall we use DBus?
# enabled per default on Linux & BSD systems
# Android has no DBus, and Windows & Mac have backends that don't use DBus
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_DBUS TRUE)
    add_definitions(-DHAVE_DBUS)
endif()

if(WIN32)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
endif()

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES
    URL "http://flex.sourceforge.net"
    DESCRIPTION "Fast Lexical Analyzer"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

find_package(BISON 3.0 REQUIRED)
set_package_properties(BISON PROPERTIES
    URL "http://www.gnu.org/software/bison"
    DESCRIPTION "general-purpose parser generator"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

find_package(IMobileDevice)
set_package_properties(IMobileDevice PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the iOS device support backend"
                      )

find_package(PList)
set_package_properties(PList PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the iOS device support backend"
                      )

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    # Used by the UDisks backend on Linux
    find_package(LibMount)
    set_package_properties(LibMount PROPERTIES
                           TYPE REQUIRED)
endif()

include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(solid_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/solid/solid_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX SOLID
                        VERSION_HEADER "${solid_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.11.0
)

ecm_install_po_files_as_qm(poqm)

include(SolidBackendsMacros)

add_device_backends_begin()
add_device_backend(fakehw)
if (CMAKE_SYSTEM_NAME MATCHES Linux)
    option(UDEV_DISABLED "Allows disabling UDev usage on Linux builds" OFF)
    if (NOT UDEV_DISABLED)
        find_package(UDev REQUIRED)
        set_package_properties(UDev PROPERTIES
            TYPE REQUIRED
            PURPOSE "Allows Solid to use UDev to provide information about devices on Linux"
        )
    endif()
    if (UDev_FOUND)
        set(UDEV_FOUND TRUE) # for config-solid.h
        add_device_backend(udev)
    endif()
    set(HAVE_LIBMOUNT ${LibMount_FOUND})
    add_device_backend(fstab)
    if (HAVE_DBUS)
        if (UDEV_FOUND)
            add_device_backend(udisks2)
        endif()
        add_device_backend(upower)
    endif()
elseif (APPLE)
    find_package(IOKit REQUIRED)
    add_device_backend(iokit)
elseif (WIN32)
    add_device_backend(win)
elseif (ANDROID)
    # Android specific Storage and other device APIs not implemented
elseif (HAIKU)
    # Haiku OS specific Storage and other device APIs not implemented
else()
    # BSDs and other Unix like systems
    add_device_backend(fstab)

    if (HAVE_DBUS)
        add_device_backend(upower)
        if (CMAKE_SYSTEM_NAME MATCHES FreeBSD OR CMAKE_SYSTEM_NAME MATCHES OpenBSD)
            add_device_backend(udisks2)
        endif()
    endif()
endif()

if(IMobileDevice_FOUND AND PList_FOUND)
    add_device_backend(imobile)
endif()

add_device_backends_cmake()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Solid")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6SolidConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6SolidTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF6SolidTargets.cmake  NAMESPACE KF6:: )

install(FILES ${solid_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Solid COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-solid (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:49 +0100

kf6-solid (6.20.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix broken patch refresh from last upload. (Closes: #1120915)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 21:16:24 +0100

=== debian/control ===
Source: kf6-solid
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               bison (>= 2:3.0~),
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               flex,
               libimobiledevice-dev,
               libmount-dev [linux-any],
               libplist-dev,
               libudev-dev [linux-any],
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/solid
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-solid
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-solid.git

Package: libkf6solid-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: udisks2 [linux-any],
            upower,
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains the solid-hardware6 tool.

Package: libkf6solid-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains shared data files.

Package: libkf6solid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6solid6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6solid-doc (= ${source:Version}),
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6solid6
Architecture: any
Multi-Arch: same
Depends: libkf6solid-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any],
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 6.
